[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TWideStringField.SetFieldType

Set the field type

## Declaration

Source position: db.pas line 502

`public procedure TWideStringField.SetFieldType(`
`AValue: TFieldType`
`); override;`

## Description

SetFieldType is overridden in TWideStringField to check the data type more accurately (ftWideString and ftFixedWideChar). No extra functionality is added.

## See also

TField.DataType |  | The data type of the field.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .